import {HttpClient, HttpHeaders} from '@angular/common/http';
import {Injectable} from '@angular/core';
import {Observable} from 'rxjs';
import {SiteModel} from '../models/site.model';
import {ApiResultModel} from '../models/api-result.model';

const httpPostOptions = {
    headers: new HttpHeaders({ 'Content-Type': 'application/json' })
};

@Injectable({ providedIn: 'root' })
export class StatusService {
    private urlBase = 'api/status';

    constructor(
        private http: HttpClient) { }

        getHosts(): Observable<ApiResultModel<SiteModel[]>> {
            return this.http.get<ApiResultModel<SiteModel[]>>(`${this.urlBase}/hosts`);
        }
}
